#ifndef _CPLAYERDOWN_HPP_
#define _CPLAYERDOWN_HPP_

/*** SDL Header Files ***/
#include "SDL.h"

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

/*** Custom Header Files ***/
#include "../cPaddle.hpp"

namespace Input {
	class cPlayerDown : public InputEngine::cKey
	{
	public:
		cPlayerDown( SDL_Keycode key, Equipment::cPaddle** player );
		~cPlayerDown();

		///Funtions
		/* Call if the key is pressed */
		void KeyPress();
		/* Call if the key is up */
		void KeyUP();
		/* Call if the key is down */
		void KeyDown();

	private:
	private:
		Equipment::cPaddle** mpp_player;
	};/// END CLASS DEFINITION cPlayerDown
}/// END NAMESPACE DEFINITION Input
#endif/// END IFNDEF _CPLAYERDOWN_HPP_